## pgplot5 5.2.2

=== sys_openstep/pgview/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = pgview

PROJECTVERSION = 2.6
PROJECT_TYPE = Application
LANGUAGE = English

NEXTSTEP_APPICON = pgicon.tiff
ICONSECTIONS =	-sectcreate __ICON app pgicon.tiff

GLOBAL_RESOURCES = cross.tiff

CLASSES = dispatchobj.m hostobj.m ipanelobj.m pgviewobj.m portobj.m

HFILES = dispatchobj.h hostobj.h ipanelobj.h pgviewobj.h portobj.h

MFILES = pgview_main.m

OTHERSRCS = Makefile


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = app.make
NEXTSTEP_INSTALLDIR = $(HOME)/Apps
WINDOWS_INSTALLDIR = /MyApps
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppKit -framework Foundation


include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
