=== debian/changelog ===
pgplot5 (5.2.2-19ubuntu1) trusty; urgency=low

  * Use multiarch lib path for linker target modification. 

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 19 Jan 2014 15:41:57 -0500

pgplot5 (5.2.2-19) unstable; urgency=low

  * Change Suggests to libpng-dev instead of libpng12-dev.

 -- Carlo Segre <segre@debian.org>  Sun, 04 Mar 2012 22:47:21 -0600

pgplot5 (5.2.2-18) unstable; urgency=low

  * [Colin Watson] 
     Fix link order so that inter-library linkage of 
     libpgplot.so and libcpgplot.so is recorded correctly with 
     'ld --as-needed' (Closes: #648950).
  * Changed to source format 3.0 (quilt)
  * Add targets for build-indep and build-arch.
  * Change Build-Depends to unversioned libpng-dev
  * Upgrade to Standards-Version 3.9.2 (no changes)

 -- Carlo Segre <segre@debian.org>  Tue, 22 Nov 2011 00:18:34 -0600

pgplot5 (5.2.2-17) unstable; urgency=low

  * Apply patches when building on 64-bit systems (Closes: #577815)

 -- Carlo Segre <segre@debian.org>  Sun, 25 Apr 2010 10:34:46 -0500

pgplot5 (5.2.2-16) unstable; urgency=low

  * Add debian/source/format file
  * Remove dh_undocumnted call in debian/rules
  * Add ${misc:Depends} to debian/control
  * Change doc-base section to Science/Data Analysis
  * upgrade to Standards-Version 3.8.4 (no changes)

 -- Carlo Segre <segre@debian.org>  Fri, 23 Apr 2010 23:24:00 -0500

pgplot5 (5.2.2-15) unstable; urgency=low

  * Removed Gopal Narayanan from Uploaders upon request of MIA
    team (Closes: #503490).
  * Replaced Depends on x-dev with x11proto-core-dev
  * Upgraded to Standards-Version 3.8.1 (no changes required).

 -- Carlo Segre <segre@debian.org>  Sun, 10 May 2009 13:14:34 -0500

pgplot5 (5.2.2-14) unstable; urgency=low

  * Remove debian/shlibs.local which was causing the insertion of 
    the pgplot dependency (thanks to Raphael Hertzog).

 -- Carlo Segre <segre@debian.org>  Tue, 25 Mar 2008 13:59:46 -0500

pgplot5 (5.2.2-13) unstable; urgency=low

  * Insert static library dependencies to avoid pgplot dependency 
    being inserted.  This is only a temporary fix! (Closes: #472617)
  * Revert the Provides: pgplot to Replaces/Conflicts.

 -- Carlo Segre <segre@debian.org>  Tue, 25 Mar 2008 09:30:02 -0500

pgplot5 (5.2.2-12) unstable; urgency=low

  * Change Build-Depends and Suggests in debian/control because of
    libungif4 -> libgif transition.
  * Replace Conflicts/Replaces: pgplot with Provides: pgplot since
    debhelper is now inserting dependency on pgplot.
  * Update to Standards-Verison 3.7.3 (no changes).

 -- Carlo Segre <segre@debian.org>  Mon, 24 Mar 2008 22:03:25 -0500

pgplot5 (5.2.2-11) unstable; urgency=low

  * Properly link libpng (Closes: #422365)

 -- Carlo Segre <segre@debian.org>  Mon, 10 Sep 2007 12:25:12 -0500

pgplot5 (5.2.2-10) unstable; urgency=low

  * Courtesy of Niko Tyni:
    - Remove unneeded debian/compc, a "hack to get around a strange
      makefile problem" that was ignoring compiler flags.
    - Include a shared version of the C binding library, needed by
      the Perl bindings. (Closes: #407462)
  * Transition to gfortran since g77 is being removed for lenny

 -- Carlo Segre <segre@debian.org>  Sun, 09 Sep 2007 19:07:26 -0500

pgplot5 (5.2.2-9) unstable; urgency=low

  * Changing Maintainer field upon request of mia@qa.debian.org
  * Designating package as autobuildable

 -- Carlo Segre <segre@debian.org>  Sat, 21 Apr 2007 12:44:09 -0500

pgplot5 (5.2.2-8) unstable; urgency=low

  * Adding co-maintainer: Carlo Segre <segre@debian.org>
  * Applying NMU patches, thanks to Matej Vela <vela@debian.org>:
      libxaw-dev (Closes: #375459)
      dh_installdocs (Closes: #376822)

 -- Carlo Segre <segre@debian.org>  Sat, 15 Jul 2006 16:18:41 -0500

pgplot5 (5.2.2-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against libxaw7.  Closes: #375459.
  * debian/rules: Remove duplicate invocation of dh_installdocs that was
    causing warnings from install-docs on removal.  Closes: #376822.

 -- Matej Vela <vela@debian.org>  Thu, 13 Jul 2006 07:32:39 +0200

pgplot5 (5.2.2-7) unstable; urgency=low

  * Closing NMU bug for build-depends on png library. Closes: #328345
  * Fixed libpgplot.so is not linked against -lX11 bug. Thanks Achim
    Bohnet <ach@mpe.mpg.de> for the patch. Closes: #281832
  * Closes bug relating to NMU patch for build-depends. Thanks Steinar
    H. Gunderson <sgunderson@bigfoot.com>. Closes: #349385
  * Allowing GIF output since Unisys LZW patent has long expired. Thanks
    Achim Bohnet <ach@mpe.mpg.de>. Closes: #281882
  * Closes fixed FTBFS bug from NMU. Closes: #346934

 -- Gopal Narayanan <gopal@debian.org>  Fri, 16 Jun 2006 10:43:17 -0400

pgplot5 (5.2.2-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 22 Jan 2006 18:34:29 +0100

pgplot5 (5.2.2-6.1) unstable; urgency=low

  * NMU
  * Update Build-Depend for libpng12 (Closes: #328345)

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 29 Oct 2005 16:55:13 +1000

pgplot5 (5.2.2-6) unstable; urgency=low

  * Removed PIC compilation for static library. Closes: #146077
  * Remove old dh_dhelp and use dh_installdocs instead. Closes: #248551

 -- Gopal Narayanan <gopal@debian.org>  Wed,  9 Jun 2004 09:45:59 -0400

pgplot5 (5.2.2-5) unstable; urgency=low

  * Added Versaterm Pro for terminal emulation for Macs. Thanks John
    Howe <jhowe@lyra.astro.umass.edu>. Closes: #162198

 -- Gopal Narayanan <gopal@debian.org>  Tue, 24 Sep 2002 19:11:11 -0400

pgplot5 (5.2.2-4) unstable; urgency=low

  * Added xlibs-dev to Build-Depends
  * Added note to README.Debian about needing other dev packages if one
    wants to develop with pgplot5. Also added Suggests field. Thanks
    TANAKA Atushi <atan@bh.wakwak.com>. Closes: #133382

 -- Gopal Narayanan <gopal@debian.org>  Thu, 21 Mar 2002 10:03:35 -0500

pgplot5 (5.2.2-3) unstable; urgency=low


