=== debian/control ===
Source: pgplot5
Section: non-free/math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Carlo Segre <segre@debian.org>
XS-Autobuild: yes
Build-Depends: debhelper (>= 5.0), gfortran, libpng-dev, zlib1g-dev, perl, 
    libx11-dev, libxaw7-dev, libxt-dev, x11proto-core-dev, libgif-dev
    , dpkg-dev (>= 1.16.0~)
Homepage: http://www.astro.caltech.edu/~tjp/pgplot/
Standards-Version: 3.9.2

Package: pgplot5
Architecture: any
Depends: ${shlibs:Depends}, zlib1g, ${misc:Depends}
Suggests: gfortran, libpng-dev, zlib1g-dev, libx11-dev, libxaw7-dev, 
    libxt-dev, x11proto-core-dev, libgif-dev
Replaces: pgplot
Conflicts: pgplot
Description: large subroutine library for plotting scientific data
 This package contains both runtime and development libraries.  Many
 routines are included in pgplot for viewing scientific data. Many
 (about 70) output devices are supported.  2-D , 3-D , contour, image
 manipulation, etc. are well supported. Interactive routines are
 included. Both a C and a FORTRAN library are present. See
 http://astro.caltech.edu/~tjp/pgplot/ for documentation.
